> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy thông tin chi tiết crypto



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /symbols/{symbol}/crypto-info
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /symbols/{symbol}/crypto-info:
    get:
      tags:
        - Symbols
      summary: Lấy thông tin chi tiết crypto
      operationId: Symbols_GetCryptoInfo
      parameters:
        - name: symbol
          in: path
          description: Mã crypto
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FireAnt.Api.Models.Crypto.CryptoInfo'
            text/json:
              schema:
                $ref: '#/components/schemas/FireAnt.Api.Models.Crypto.CryptoInfo'
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - symbols-read
components:
  schemas:
    FireAnt.Api.Models.Crypto.CryptoInfo:
      type: object
      properties:
        algorithm:
          description: Gets or sets the algorithm of the coin.
          type: string
        coinName:
          description: Gets or sets the name of the coin.
          type: string
        fullName:
          description: Gets or sets the full name of the coins.
          type: string
        fullyPremined:
          description: Gets or sets the number of fully premined coins.
          type: string
        id:
          format: int32
          description: Gets or sets the internal id, this is used in other calls.
          type: integer
        imageUrl:
          description: Gets or sets he logo image of the coin.
          type: string
        name:
          description: Gets or sets the coin name.
          type: string
        preMinedValue:
          description: Gets or sets the pre-mined value.
          type: string
        proofType:
          description: Gets or sets the proof type.
          type: string
        sortOrder:
          format: int32
          description: Gets the sort order.
          type: integer
        sponsored:
          description: Gets or sets a value indicating whether the  coin is sponsored.
          type: boolean
        symbol:
          description: Gets or sets the symbol.
          type: string
        smartContractAddress:
          description: Gets or sets the smart contract address.
          type: string
        totalCoinsFreeFloat:
          description: Gets or sets the total number of freed coins.
          type: string
        totalCoinSupply:
          description: Gets or sets the total number of supplied coins.
          type: string
        url:
          description: Gets or sets the url of the coin on cryptocompare.
          type: string
        isTrading:
          type: boolean
        description:
          type: string
        circulatingSupply:
          format: double
          type: number
        maxSupply:
          format: double
          type: number
        platformType:
          type: string
        builtOn:
          type: string
        otherSmartContractAddress:
          type: string
        totalCoinsMined:
          format: double
          type: number
        blockNumber:
          format: int32
          type: integer
        blockTime:
          format: double
          type: number
        blockReward:
          format: double
          type: number
        decimalPoints:
          format: int32
          type: integer
        assetLaunchDate:
          format: date-time
          type: string
        rating:
          type: string
        marketCap:
          format: double
          type: number
        marketCapPenalty:
          format: double
          type: number
        type:
          format: int32
          type: integer
        price:
          format: double
          type: number
        priceAt:
          format: date-time
          type: string
        median:
          format: double
          type: number
        volume:
          format: double
          type: number
        totalVolume:
          format: double
          type: number
        change:
          format: double
          type: number
        basic:
          format: double
          type: number
        open:
          format: double
          type: number
        high:
          format: double
          type: number
        low:
          format: double
          type: number
        currentSupply:
          format: double
          type: number
        fractionDigits:
          format: int32
          type: integer
        volume24h:
          format: double
          type: number
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.